#include <bits/stdc++.h>

using namespace std;

int main()
{
    int broj,a ,i ,b, suma, brojac, c, br, br2, br1;
    cin >> broj;
    brojac = 0;
    a = broj;
    c = floor(log10(broj))+1;

    while(broj > 0 )
    {
       if(broj > 5*(pow(10,c-1)) )
       {
           broj = broj - 5*(pow(10,c-1));
           brojac++;
       }
        else if(broj > 2*(pow(10,c-1)))
       {
           broj = broj - 2*(pow(10,c -1));
           brojac++;
       }
       else if(broj > 1*(pow(10,c-1)))
       {
           broj = broj - 1*(pow(10,c-1));
           brojac++;
       }
       else
        {
       c--;
        }
    }

    cout << brojac;
    return 0;
}